summaryrefslogtreecommitdiffstats
path: root/debian/frr.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/frr.postrm')
-rw-r--r--debian/frr.postrm14
1 files changed, 14 insertions, 0 deletions
diff --git a/debian/frr.postrm b/debian/frr.postrm
new file mode 100644
index 0000000..018f59e
--- /dev/null
+++ b/debian/frr.postrm
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+
+rm -f /etc/frr/.pkg.frr.nointegrated
+
+if [ "$1" = "purge" ]; then
+ rm -rf /run/frr || true
+
+ # "purge" does not remove logfiles. therefore we shouldn't delete
+ # the "frr" user/group since that would leave files with "dangling"
+ # ownership.
+fi
+
+#DEBHELPER#